更新Blog服务器配置

从14年开始使用这台vps服务器,最近发现jetpack出了问题。貌似是更新php版本之后,新的php-xml模块没有安装,尝试更新相关模块的时候首先要更新epel-release,问题是更新了epel-release之后yum命令就挂了,提示找不到xz!

于是问题就演化成了先有鸡还是先有蛋的问题,如果要解决这个问题那么:

  1. 删除epel-release 7,安装6,然后yum安装xz,xz安装成功之后更新epel-release
  2. 直接编译安装xz:
    wget https://sourceforge.net/projects/lzmautils/files/latest/download?source=typ_redirect  
    mv download\?source\=typ_redirect xz.gz tar -zxvf xz.gz  
    make &make install
    

使用第二种方法,然后就悲剧了:

[root@AY1407121521187780fbZ xz-5.2.5]# xz
xz: error while loading shared libraries: liblzma.so.5: cannot open shared object file: No such file or directory

尝试通过以下命令修复:

yum install xz-devel
yum install xz-libs xz-devel

没有效果。并且鉴于以前各种问题,不想在继续折腾这台centos 6.3的服务器了,于是就新开了一台ubuntu 20.04的服务器,现在blog已经迁移到新的服务器了~~目前感觉还ok。

分享文章:

猜你喜欢:

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注